#
# spec file for package python-proton-vpn-connection
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-proton-vpn-connection
Version:        0.14.4
Release:        1.4
Summary:        Proton VPN connection interface
License:        GPL-3.0-or-later
Group:          Development/Languages/Python
URL:            https://github.com/ProtonVPN/python-proton-vpn-connection
Source:         https://github.com/ProtonVPN/python-proton-vpn-connection/archive/refs/tags/v%{version}.tar.gz
BuildRequires:  %{python_module jinja2}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module proton-core}
BuildRequires:  %{python_module proton-vpn-killswitch}
BuildRequires:  %{python_module proton-vpn-logger}
BuildRequires:  %{python_module pytest-asyncio}
BuildRequires:  %{python_module pytest-cov}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  pkgconfig
BuildRequires:  python-rpm-macros
Requires:       python-jinja2
Requires:       python-proton-core
Requires:       python-proton-vpn-killswitch
Requires:       python-proton-vpn-logger
BuildArch:      noarch
%python_subpackages

%description
This package contains the VPN connection interface for Proton VPN client.

%prep
%autosetup -p1 -n python-proton-vpn-connection-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# failing tests, needs to be investigated
%pytest tests --ignore=tests/test_states.py --ignore=tests/test_vpnconfiguration.py

%files %{python_files}
%license LICENSE
%doc README.md
%{python_sitelib}/proton
%{python_sitelib}/proton_vpn_connection-%{version}*-info

%changelog
* Sun Apr 21 2024 Dirk Müller <dmueller@suse.com>
- update to 0.14.4:
  * Add WireGuard ports
  * protonvpn-connection (0.14.3) unstable; urgency=medium
* Thu Mar 21 2024 Yunhe Guo <i@guoyunhe.me>, Alexandre Vicenzi <alexandre.vicenzi@suse.com>
- Update to version 0.14.2
  * Add permanent connection if user cancels connection and ends up in disconnected state
* Tue Mar 19 2024 Alexandre Vicenzi <alexandre.vicenzi@suse.com>
- Build for Leap
* Fri Feb  9 2024 Alexandre Vicenzi <alexandre.vicenzi@suse.com>
- Initial revision
